#Transformation pour le Logo, repris de ce tuto:  #https://lemmasoft.renai.us/forums/viewtopic.php ?f=51&t=46121         
transform transform_logo_ease:
    on show:
        alpha 0 xalign 0.5 yalign 0.5
        easein 2.0 alpha 1
    on hide:
        easeout 1.0 alpha 0

transform bounce:
    yoffset 0
    easein .175 yoffset -25
    easeout .175 yoffset 0
    yoffset 0

###Personnages!
define g = Character('Méphy', color ="#017289", image="mephy")
define v = Character('Viewer', color="#66667c")
define mc = Character('Moi')
define n = Character('Nighten')

##Ici je défini les même personnages en leur imposant de parler avec la police et la textbox par défaut de Renpy
#Cela est juste utile pour la démonstration!
define g_dv = Character('Méphy', color ="#017289", image="mephy", what_font = "DejaVuSans.ttf", who_font = "DejaVuSans.ttf", window_background="gui/textboxBis.png")
define v_dv = Character('Viewer', color="#66667c", what_font = "DejaVuSans.ttf", who_font = "DejaVuSans.ttf", window_background="gui/textboxBis.png")
define mc_dv = Character('Moi', what_font = "DejaVuSans.ttf", who_font = "DejaVuSans.ttf", window_background="gui/textboxBis.png")
define narrator_dv = Character('', what_font = "DejaVuSans.ttf", window_background="gui/textboxBis.png")


label splashscreen:
    stop music fadeout 1.0
    scene bg blanc
    $ renpy.pause(1, hard=True) #Mettre une pause ainsi permet de ne pas pouvoir être interrompue par le clic du joueur
    
    show logo at transform_logo_ease
    play music "dovewholookforbeans.mp3" fadein 1.0
        
    $ renpy.pause(3, hard=True)
    
    play sound "page_turn.ogg" #On jou un petit son pour accompagner
    hide logo #Et là on le cache
    $ renpy.pause(2, hard=True)
    
    show main_menu with dissolve
    return


# Le jeu commence ici
label start:
    scene bg biblio with fade
    
    n "Bienvenue dans ce support de tutoriel!"
    n "Quel version veux-tu tester?"
    menu:
        "La version sans modifications":
            jump crappy_version
        "La version refaite avec le tuto":
            jump fancy_version
        "Voir le SplashScreen":
            jump splashscreen

    
    
label crappy_version: #####La version de l'intro, avant modifications#####
    
    ##Voici les variables tel qu'elles sont pas défaut
    $ preferences.text_cps = 0 #Situé dans option.rpy, ligne 126
    #$ gui.text_font = "DejaVuSans.ttf" #gui.rpy ligne 63
    #$ gui.name_text_font = "DejaVuSans.ttf"
    #$ gui.interface_text_font = "DejaVuSans.ttf"
    
    #style say_dialogue font "DejaVuSans.ttf"
    #style say_label font "DejaVuSans.ttf"
        
    

    narrator_dv "Cette nuit j'ai mal dormi, trop de choses en tête."
    narrator_dv "Il faut vraiment que je demande à Méphy si elle peux m'aider, elle au moins comprendra."
    
    show mephy d01 at center with dissolve
    
    g_dv "Oh, salut! Je ne t'avais pas entendu arrivé."
    g_dv d02 "Qu'est-ce qu'il se passe? Tu en fais une drôle de tête!"
    mc_dv "C'est que... Aujourd'hui je sors mon premier Visual Novel..."
    mc_dv "J'ai peur que les gens n'aimes pas..."
    g_dv d03 "Roh, qu'un comédien tu fais! S'ils n'aiment pas c'est pas la fin du monde!"
    g_dv d04 "Aller, je vais te montrer quelques astuces pour améliorer un peu tout ça. C'est ce que tu allais me demander pas vrai?"
    mc_dv "Vraiment?! Merci Méphy! T'es vraiment géniale!"
    g_dv d05 "Je peux bien faire ça pour un ami comme toi!"
    
        
    show viewer at right with dissolve
    
    v_dv "Hé! Moi aussi j'peux venir?"
    g_dv d06 "Oh, et bien si tu veux. Ecoutez bien vous deux, prenez des notes..."

    scene bg black with dissolve
    
    #style say_dialogue font "EspressoDolce.ttf"
    #style say_label font "EspressoDolce.ttf"

    return
    
label fancy_version: #####La version post-Tutoriel#####
    
    ##Voici les variables qui changent
    $ preferences.text_cps = 60 #Situé dans option.rpy, ligne 126
    $ gui.text_font = "EspressoDolce.ttf" #gui.rpy ligne 63
    $ gui.name_text_font = "EspressoDolce.ttf"
    $ gui.interface_text_font = "EspressoDolce.ttf"
    
    
    "Cette nuit j'ai mal dormi, trop de choses en tête."
    "Il faut vraiment que je demande à Méphy si elle peux m'aider, elle au moins comprendra."
    
    show mephy d01:
        xalign 0.5
        yalign 1.0
        
        alpha 0.0
        easein 0.5 alpha 1.0
    
    g "Oh, salut! Je ne t'avais pas entendu arrivé."
    show mephy d02 at bounce
    g "Qu'est-ce qu'il se passe? Tu en fais une drôle de tête!"
    mc "C'est que... Aujourd'hui je sors mon premier Visual Novel..."
    mc "J'ai peur que les gens n'aimes pas..."
    g d03 "Roh, qu'un comédien tu fais! S'ils n'aiment pas c'est pas la fin du monde!"
    g d04 "Aller, je vais te montrer quelques astuces pour améliorer un peu tout ça. C'est ce que tu allais me demander pas vrai?"
    mc "Vraiment?! Merci Méphy! T'es vraiment géniale!"
    g d05 "Je peux bien faire ça pour un ami comme toi!"
    
        
    show viewer:
        xalign 1.3 yalign 1.0
        alpha 0.0
        
        parallel:
            easein 0.5 xalign 0.9
        parallel:
            pause 0.1
            easein 0.4 alpha 1.0
        
        
    #at right with dissolve
    
    v "Hé! Moi aussi j'peux venir?"
    g d06 "Oh, et bien si tu veux. Ecoutez bien vous deux, prenez des notes..."

    scene bg black with dissolve

    return